## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: pycairo
Version: 1.28.0
Release: %autorelease
Summary: Python bindings for the cairo library

License: LGPL-2.1-only OR MPL-1.1
URL: https://www.cairographics.org/pycairo
Source0: https://github.com/pygobject/pycairo/releases/download/v%{version}/pycairo-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: meson
BuildRequires: pkgconfig(cairo)
BuildRequires: python3-devel
BuildRequires: python3-pytest

%description
Python bindings for the cairo library.

%package -n python3-cairo
Summary: Python 3 bindings for the cairo library
%{?python_provide:%python_provide python3-cairo}

%description -n python3-cairo
Python 3 bindings for the cairo library.

%package -n python3-cairo-devel
Summary: Libraries and headers for py3cairo
Requires: python3-cairo%{?_isa} = %{version}-%{release}
Requires: python3-devel

%description -n python3-cairo-devel
This package contains files required to build wrappers for cairo add-on
libraries so that they interoperate with py3cairo.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%files -n python3-cairo
%license COPYING*
%doc README.rst
%{python3_sitearch}/cairo/
%{python3_sitearch}/pycairo*.dist-info

%files -n python3-cairo-devel
%dir %{_includedir}/pycairo
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py3cairo.pc

%changelog
## START: Generated by rpmautospec
* Wed Jun 25 2025 Milan Crha <mcrha@redhat.com> - 1.28.0-1
- Update to 1.28.0

* Mon Jun 02 2025 Python Maint <python-maint@redhat.com> - 1.25.1-9
- Rebuilt for Python 3.14

* Tue May 13 2025 Karolina Surma <ksurma@redhat.com> - 1.25.1-8
- Support Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.25.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.25.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.25.1-5
- Rebuilt for Python 3.13

* Wed May 29 2024 Miro Hrončok <miro@hroncok.cz> - 1.25.1-4
- Fix SystemErrors on Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.25.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.25.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 24 2023 Kalev Lember <klember@redhat.com> - 1.25.1-1
- Update to 1.25.1

* Thu Sep 28 2023 Kalev Lember <klember@redhat.com> - 1.25.0-1
- Update to 1.25.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.24.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Jun 19 2023 Kalev Lember <klember@redhat.com> - 1.24.0-1
- Update to 1.24.0

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.23.0-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.23.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Nov 30 2022 Kalev Lember <klember@redhat.com> - 1.23.0-1
- Update to 1.23.0 (rhbz#2149590)

* Sat Nov 19 2022 Kalev Lember <klember@redhat.com> - 1.22.0-4
- Convert license tag to SPDX

* Sat Nov 19 2022 Kalev Lember <klember@redhat.com> - 1.22.0-3
- Sort BRs

* Sat Nov 19 2022 Kalev Lember <klember@redhat.com> - 1.22.0-2
- Whitespace fixes

* Sat Nov 19 2022 Kalev Lember <klember@redhat.com> - 1.22.0-1
- Update to 1.22.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.21.0-2
- Rebuilt for Python 3.11

* Mon Apr 18 2022 David King <amigadave@amigadave.com> - 1.21.0-1
- Update to 1.21.0 (#1967786)

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Oct 23 2021 Kalev Lember <klember@redhat.com> - 1.20.1-1
- Update to 1.20.1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jun 02 2021 Python Maint <python-maint@redhat.com> - 1.20.0-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Nov 04 2020 Tomas Hrnciar <thrnciar@redhat.com> - 1.20.0-1
- Update to 1.20.0

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri May 22 2020 Miro Hrončok <miro@hroncok.cz> - 1.18.2-5
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Nov 06 2019 Petr Viktorin <pviktori@redhat.com> - 1.18.2-3
- Build require python-setuptools

* Tue Oct 29 2019 Petr Viktorin <pviktori@redhat.com> - 1.18.2-2
- Do not run tests on Python 2

* Thu Oct 24 2019 Kalev Lember <klember@redhat.com> - 1.18.2-1
- Update to 1.18.2

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 1.18.1-5
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Thu Aug 15 2019 Miro Hrončok <miro@hroncok.cz> - 1.18.1-4
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 2019 Miro Hrončok <miro@hroncok.cz> - 1.18.1-2
- Python 3.8 support

* Wed Apr 24 2019 Kalev Lember <klember@redhat.com> - 1.18.1-1
- Update to 1.18.1

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Nov 14 2018 Kalev Lember <klember@redhat.com> - 1.18.0-1
- Update to 1.18.0

* Fri Sep 28 2018 Owen W. Taylor <otaylor@fishsoup.net> - 1.17.1-3
- Disable xpyb support

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.17.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jul 11 2018 Kalev Lember <klember@redhat.com> - 1.17.1-1
- Update to 1.17.1

* Tue Jul 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.16.3-3
- add BuildRequires: gcc

* Fri Jun 15 2018 Miro Hrončok <miro@hroncok.cz> - 1.16.3-2
- Rebuilt for Python 3.7

* Mon Mar 19 2018 Kalev Lember <klember@redhat.com> - 1.16.3-1
- Update to 1.16.3

* Tue Feb 06 2018 Kalev Lember <klember@redhat.com> - 1.16.1-1
- Update to 1.16.1

* Mon Feb 05 2018 Kalev Lember <klember@redhat.com> - 1.16.0-1
- Update to 1.16.0

* Mon Feb 05 2018 Kalev Lember <klember@redhat.com> - 1.15.6-1
- Update to 1.15.6

* Fri Dec 01 2017 Kalev Lember <klember@redhat.com> - 1.15.4-1
- Update to 1.15.4

* Wed Sep 20 2017 Kalev Lember <klember@redhat.com> - 1.15.3-1
- Update to 1.15.3

* Fri Sep 15 2017 Kalev Lember <klember@redhat.com> - 1.15.2-10
- Only exclude the failing test on ppc64 and s390x

* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 1.15.2-9
- Disable self tests on ppc64 and s390x

* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 1.15.2-8
- Enable Python 3 support

* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 1.15.2-7
- Rename Python 2 package to python2-cairo

* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 1.15.2-6
- Tighten subpackage deps with the _isa macro

* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 1.15.2-5
- Rely on pkgconfig depgen instead of manually listing -devel requires

* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 1.15.2-4
- Use standard tag order

* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 1.15.2-3
- Drop python_sitearch definition

* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 1.15.2-2
- Don't set group tags

* Thu Sep 14 2017 Kalev Lember <klember@redhat.com> - 1.15.2-1
- Update to 1.15.2
- Switch to new upstream at https://github.com/pygobject/pycairo
- Switch to distutils build system

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-11
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_
  Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Aug 23 2015 Kalev Lember <klember@redhat.com> - 1.10.0-6
- Use license macro for license files

* Thu Jun 18 2015 Dennis Gilmore <dennis@ausil.us> - 1.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Nov 17 2014 David Tardon <dtardon@redhat.com> - 1.10.0-4
- grr, git did not add the file for some reason

* Mon Nov 17 2014 David Tardon <dtardon@redhat.com> - 1.10.0-3
- upload new tarball too

* Mon Nov 17 2014 David Tardon <dtardon@redhat.com> - 1.10.0-2
- avoid executables in docdir

* Mon Nov 17 2014 David Tardon <dtardon@redhat.com> - 1.10.0-1
- "new" upstream release 1.10.0

* Sun Aug 17 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1.8.10-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Dennis Gilmore <dennis@ausil.us> - 1.8.10-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 21 2014 Jakub Čajka <jcajka@redhat.com> - 1.8.10-11
- Fixed tests on ppc

* Tue May 20 2014 Dan Horák <dan@danny.cz> - 1.8.10-10
- disable tests on big endians (#1079673)

* Thu Feb 27 2014 Peter Robinson <pbrobinson@gmail.com> - 1.8.10-9
- Enable xcb and xpyb (RHBZ 1045725, 1005447), Spec cleanups, Run check

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 1.8.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 1.8.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 1.8.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Feb 19 2012 Peter Robinson <pbrobinson@gmail.com> - 1.8.10-5
- Revert illegal package rename so it properly builds, spec file cleanup

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 1.8.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 27 2011 Peter Robinson <pbrobinson@gmail.com> - 1.8.10-3
- clean up spec

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 1.8.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 21 2010 Matthew Barnes <mbarnes@redhat.com> - 1.8.10-1
- Update to 1.8.10, rename to python-cairo.

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.8-5
- dist-git conversion

* Thu Jul 22 2010 dmalcolm <dmalcolm@fedoraproject.org> - 1.8.8-4
- Rebuilt for
  https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 1.8.8-3
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Sat Sep 19 2009 Matthew Barnes <mbarnes@fedoraproject.org> - 1.8.8-2
- Fix files list.

* Sat Sep 19 2009 Matthew Barnes <mbarnes@fedoraproject.org> - 1.8.8-1
- Update to 1.8.8

* Sun Jul 26 2009 Jesse Keating <jkeating@fedoraproject.org> - 1.8.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 29 2009 Matthew Barnes <mbarnes@fedoraproject.org> - 1.8.6-2
- Fix build error.

* Mon Jun 29 2009 Matthew Barnes <mbarnes@fedoraproject.org> - 1.8.6-1
- Update to 1.8.6

* Thu Feb 26 2009 Jesse Keating <jkeating@fedoraproject.org> - 1.8.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jan 16 2009 Matthew Barnes <mbarnes@fedoraproject.org> - 1.8.2-1
- Update to 1.8.2

* Tue Dec 16 2008 Matthew Barnes <mbarnes@fedoraproject.org> - 1.8.0-1
- Update to 1.8.0

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazquez@fedoraproject.org> - 1.4.12-5
- Rebuild for Python 2.6

* Fri Aug 29 2008 Tom Callaway <spot@fedoraproject.org> - 1.4.12-4
- fix license tag

* Wed May 07 2008 Matthew Barnes <mbarnes@fedoraproject.org> - 1.4.12-3
- Add more documentation files to the package (RH bug #445519).

* Sun Feb 17 2008 Matthew Barnes <mbarnes@fedoraproject.org> - 1.4.12-2
- Rebuild with GCC 4.3

* Fri Dec 14 2007 Matthew Barnes <mbarnes@fedoraproject.org> - 1.4.12-1
- Update to 1.4.12 - Bump cairo requirement to 1.4.12.

* Mon Oct 15 2007 Bill Nottingham <notting@fedoraproject.org> - 1.4.0-3
- makefile update to properly grab makefile.common

* Wed Oct 10 2007 Matthew Barnes <mbarnes@fedoraproject.org> - 1.4.0-2
- Rebuild

* Thu Mar 15 2007 Matthew Barnes <mbarnes@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Mon Feb 05 2007 Matthew Barnes <mbarnes@fedoraproject.org> - 1.2.6-3
- Incorporate suggestions from package review (RH bug #226329).

* Thu Dec 07 2006 Jeremy Katz <katzj@fedoraproject.org> - 1.2.6-2
- rebuild against python 2.5

* Wed Nov 29 2006 Matthew Barnes <mbarnes@fedoraproject.org> - 1.2.6-1
- Update to 1.2.6 - Clean up the spec file.

* Sun Oct 15 2006 Matthew Barnes <mbarnes@fedoraproject.org> - 1.2.2-1
- Update to 1.2.2

* Wed Jul 12 2006 Jesse Keating <jkeating@fedoraproject.org> - 1.2.0-2
- bumped for rebuild

* Wed Jul 05 2006 John (J5) Palmieri <johnp@fedoraproject.org> - 1.2.0-1
- Update to upstream 1.2.0

* Tue Jul 04 2006 Jeremy Katz <katzj@fedoraproject.org> - 1.0.2-6
- require new enough cairo (#197457)

* Mon Jun 05 2006 John (J5) Palmieri <johnp@fedoraproject.org> - 1.0.2-5
- Add pkgconfig BR

* Sat Feb 11 2006 Jesse Keating <jkeating@fedoraproject.org> - 1.0.2-4
- bump for bug in double-long on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@fedoraproject.org> - 1.0.2-3
- bump for new gcc/glibc

* Fri Dec 09 2005 Jesse Keating <jkeating@fedoraproject.org> - 1.0.2-2
- gcc update bump

* Wed Oct 26 2005 John (J5) Palmieri <johnp@fedoraproject.org> - 1.0.2-1
- Updated to latest and push into rawhide

* Fri Dec 10 2004 Kristian Høgsberg <krh@fedoraproject.org> - 0.1.3-2
- Add python-devel BuildRequires

* Wed Nov 24 2004 Jonathan Blandford <jrb@fedoraproject.org> - 0.1.3-1
- auto-import pycairo-0.1.3-1 on branch devel from pycairo-0.1.3-1.src.rpm
## END: Generated by rpmautospec
